Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 14 Nov 2019 16:14:16 +0200

On 14.11.2019 13:33, Eli Zaretskii wrote:
>> Should it be unnecessary that each and every theme does:
>> -  '(hl-line ((t (:background "lightgrey"))))
>> +  '(hl-line ((t (:background "lightgrey" :extend t))))
>> ?
> How is :extend different from any other face attribute?
> 
> The documentation of custom-theme-set-faces says that FACE should be a
> face spec, like in defface.  And the latter does override all the
> attributes, unless it uses :inherit.
> 
> So I'm not unsure why you expected something else.

*I* expected that going by your messages here and here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#104

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#131

Had I been mistaken?

Then the backward compatibility problem is going to be bigger than I 
thought. That's too bad. And my apologies to Jonas.